package org.springblade.person.feign;

import org.springblade.person.entity.Drug;
import org.springblade.person.vo.DrugVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class DrugClientFallback implements IDrugClient {
            /**
         * 详情
         */
        @Override
        public DrugVO detail(Drug drug) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<DrugVO> list(Drug drug) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Drug drug) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Drug drug) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Drug drug) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
